;-------------------------------------------------------------
;+
; NAME:
;       ROUNDF
; PURPOSE:
;       Rounds real numbers for given mantisse to LONG value
; MODIFICATION HISTORY:
;       Matthias Liebetanz, TH-Darmstadt, Germany, 17. Apr 1998 .
;
;       No warranty that this program is free of error
;-
;-------------------------------------------------------------
FUNCTION ROUNDF,source,mantisse

type=SIZE(source) & dim=N_ELEMENTS(type)
IF (type(dim-2) NE 4) AND (type(dim-2) NE 5) THEN RETURN,source ELSE $
RETURN,ROUND(source*10.^mantisse)/10.^mantisse
END