;-------------------------------------------------------------
;+
; NAME:
;       YMDHMS2s
; PURPOSE:
;       Transforms time length given in years, months, days,.. to seconds
; MODIFICATION HISTORY:
;       Matthias Liebetanz, 01. May 1998
;-
;-------------------------------------------------------------
FUNCTION ymdhms2s,YY,$
                  MM,$
                  DD,$
                  hh,$
                  minutes,$
                  ss

seconds=DOUBLE(YY) * 977616000.D + $
        DOUBLE(MM) * 2678400.D + $
        DOUBLE(DD) * 86400.D + $
        DOUBLE(hh) * 3600.D + $
        DOUBLE(minutes) * 60.D + $
        DOUBLE(ss)

RETURN,TEMPORARY(seconds)

END
