;-------------------------------------------------------------
;+
; NAME:
;       STRTRUNC
; PURPOSE:
;       Truncates strings
; CATEGORY:
;       String processing
; CALLING SEQUENCE:
;       result=strtrunc(str,length,digits)
; INPUTS:
;       STR=Array of strings to be truncated
;       LENGTH=Array of STR-length
;       DIGITS=Number of trailing chars to be cutted
; KEYWORD PARAMETERS:
; OUTPUTS:
; COMMON BLOCKS:
; NOTES:
; MODIFICATION HISTORY:
;       Matthias Liebetanz, TH-Darmstadt, Germany, 04 Apr, 1997
;-
;-------------------------------------------------------------



FUNCTION STRTRUNC, str, length, digits

 RETURN,  STRMID( str , 0 , length - digits )
END


